#!/usr/bin/env python
#
# xkmap_ui.py   --  Simple GUI for xorg keymap configuring and setting

# (c) Copyright 2009-2010 Michael Towers (larch42 at googlemail dot com)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
#-------------------------------------------------------------------
# 2010.08.14

from liblarch.larcon_ui import LarconGui
from xkmap_widget import XkmapWidget

class XkmapGui(LarconGui, XkmapWidget):
    def __init__(self, backend):
        LarconGui.__init__(self, 'xkmap', backend)
        XkmapWidget.__init__(self)
        self.widgetlist(self.fss('fetch_layout', 'xkmap.uim'))


    def start(self):
        self.winit()

        self.connectlist(
                ('xkmap:settemp*clicked', self._settemp),
                ('xkmap:setuser*clicked', self._setuser),
                ('xkmap:clearuser*clicked', self._clearuser),
                ('xkmap:setglobal*clicked', self._setglobal),
            )

        self.command('xkmap:clearuser.enable', self.fss('uenabled'))
        self.go()


    def _settemp(self, cmd='setnow'):
        ok, mess = self.fss(cmd, self.model, self.layout, self.variant)
        if ok:
            self.command('infoDialog', mess)
        return ok


    def _setuser(self):
        if self._settemp('setuser'):
            self.command('xkmap:clearuser.enable', True)


    def _setglobal(self):
        self.fss('setglobal', self.model, self.layout, self.variant)


    def _clearuser(self):
        ok, res = self.fss('clearuser')
        if ok:
            self.command('xkmap:clearuser.enable', False)
            self.command('infoDialog', res)
        else:
            self.command('warningDialog', res)
